<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Articles.aspx.cs" Inherits="simpleBlog.Admin.WebForm4" Title="Články" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.Posts %></h2>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [posts] WHERE [id] = @id" InsertCommand="INSERT INTO [posts] ([id_category], [title], [alias], [text], [id_author]) VALUES (@id_category, @title, @alias, @text, @id_author)"
        SelectCommand="SELECT posts.id, posts.title, categories.title AS kategoria FROM posts LEFT JOIN categories ON posts.id_category = categories.id WHERE active=1 ORDER BY inserted DESC"
        UpdateCommand="UPDATE [posts] SET [id_category] = @id_category, [title] = @title, [alias] = @alias, [text] = @text, [id_author] = @id_author WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_category" Type="Int32" />
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id_author" Type="Int32" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="id_category" Type="Int32" />
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id_author" Type="Int32" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [posts] WHERE [id] = @id" InsertCommand="INSERT INTO [posts] ([id_category], [title], [alias], [text], [id_author]) VALUES (@id_category, @title, @alias, @text, @id_author)"
        SelectCommand="SELECT posts.id, posts.title, categories.title AS kategoria FROM posts LEFT JOIN categories ON posts.id_category = categories.id WHERE active=0 ORDER BY id DESC"
        UpdateCommand="UPDATE [posts] SET [id_category] = @id_category, [title] = @title, [alias] = @alias, [text] = @text, [id_author] = @id_author WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_category" Type="Int32" />
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id_author" Type="Int32" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="id_category" Type="Int32" />
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id_author" Type="Int32" />
        </InsertParameters>
    </asp:SqlDataSource>
    <h3>
        <%= Resources.Default.PublishedPosts %></h3>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataKeyNames="id" DataSourceID="SqlDataSource1" EmptyDataText="<%$ Resources: Default, NoPosts %>"
        CellPadding="4" ForeColor="#333333" GridLines="None" PageSize="20">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="200px" />
            </asp:BoundField>
            <asp:BoundField DataField="kategoria" HeaderText="<%$ Resources: Default, Category %>" SortExpression="kategoria">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("id", "~/Admin/ArticlesAdd.aspx?id={0}") %>'>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField DeleteText="" ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/gfx/zmazat.jpg">
                <ItemStyle Width="50px" ForeColor="#3B6EBF" />
            </asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
    <h3>
        <%= Resources.Default.QueuedPosts %></h3>
    <asp:GridView ID="GridView2" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataKeyNames="id" DataSourceID="SqlDataSource2" EmptyDataText="<%$ Resources: Default, NoPosts %>"
        CellPadding="4" ForeColor="#333333" GridLines="None">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, Title %>" SortExpression="title">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="200px" />
            </asp:BoundField>
            <asp:BoundField DataField="kategoria" HeaderText="<%$ Resources: Default, Category %>" SortExpression="kategoria">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="100px" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("id", "~/Admin/ArticlesAdd.aspx?id={0}") %>'>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField DeleteText="" ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/gfx/zmazat.jpg">
                <ItemStyle Width="50px" ForeColor="#3B6EBF" />
            </asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
</asp:Content>
