<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Password.aspx.cs" Inherits="simpleBlog.Admin.WebForm13" Title="Zmeniť heslo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%=Resources.Default.ChangePassword %></h2>
    <asp:ChangePassword ID="ChangePassword1" runat="server" CancelButtonText="<%$ Resources: Default, Cancel %>"
        ChangePasswordButtonText="<%$ Resources: Default, ChangePassword %>" ChangePasswordButtonType="Link" ChangePasswordTitleText="<%$ Resources: Default, ChangePassword %>"
        ConfirmNewPasswordLabelText="<%$ Resources: Default, PasswordConfirm %>:" ContinueButtonText="<%$ Resources: Default, Next %>"
        NewPasswordLabelText="<%$ Resources: Default, NewPassword %>:" PasswordLabelText="Heslo:" SuccessText="<%$ Resources: Default, ChangeSuccessful %>"
        SuccessTitleText="<%$ Resources: Default, ChangeSuccessful %>" UserNameLabelText="<%$ Resources: Default, Name %>:" ChangePasswordFailureText="<%$ Resources: Default, MinimumLength %>">
        <ChangePasswordTemplate>
            <table border="0" cellpadding="1" cellspacing="0" style="border-collapse: collapse;">
                <tr>
                    <td>
                        <table border="0" cellpadding="0">
                            <tr>
                                <td align="right">
                                    <asp:Label ID="CurrentPasswordLabel" runat="server" AssociatedControlID="CurrentPassword"><%=Resources.Default.Password %>:</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="CurrentPassword" runat="server" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="CurrentPasswordRequired" runat="server" ControlToValidate="CurrentPassword"
                                        ErrorMessage="<%$ Resources: Default, Required %>" ToolTip="<%$ Resources: Default, Required %>" ValidationGroup="ChangePassword1"><%=Resources.Default.Required %></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right">
                                    <asp:Label ID="NewPasswordLabel" runat="server" AssociatedControlID="NewPassword"><%= Resources.Default.NewPassword %>:</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="NewPassword" runat="server" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" ControlToValidate="NewPassword"
                                        ErrorMessage="<%$ Resources: Default, Required %>" ToolTip="<%$ Resources: Default, Required %>"
                                        ValidationGroup="ChangePassword1"><%=Resources.Default.Required %></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="right">
                                    <asp:Label ID="ConfirmNewPasswordLabel" runat="server" AssociatedControlID="ConfirmNewPassword"><%=Resources.Default.PasswordConfirm %>:</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="ConfirmNewPassword" runat="server" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="ConfirmNewPasswordRequired" runat="server" ControlToValidate="ConfirmNewPassword"
                                        ErrorMessage="<%$ Resources: Default, Required %>" ToolTip="<%$ Resources: Default, Required %>"
                                        ValidationGroup="ChangePassword1"><%=Resources.Default.Required %></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="center" colspan="2">
                                    <asp:CompareValidator ID="NewPasswordCompare" runat="server" ControlToCompare="NewPassword"
                                        ControlToValidate="ConfirmNewPassword" Display="Dynamic" ErrorMessage="<%$ Resources: Default, NoMatch %>"
                                        ValidationGroup="ChangePassword1"></asp:CompareValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="center" colspan="2" style="color: Red;">
                                    <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                                </td>
                            </tr>
                            <tr>
                                <td align="right">
                                    <asp:LinkButton ID="ChangePasswordLinkButton" runat="server" CommandName="ChangePassword"
                                        ValidationGroup="ChangePassword1"><%=Resources.Default.ChangePassword %></asp:LinkButton>
                                </td>
                                <td>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ChangePasswordTemplate>
    </asp:ChangePassword>
</asp:Content>
